ccw_device_set_offline
Prev | ccw devices | Next

## Name

ccw_device_set_offline — disable a ccw device for I/O

## Synopsis

`int ccw_device_set_offline (` | struct ccw_device * | cdev`)`;

## Arguments

`cdev`

  target ccw device

## Description

This function calls the driver's `set_offline` function for `cdev`, if given, and then disables `cdev`.

## Returns

`0` on success and a negative error value on failure.

## Context

enabled, ccw device lock not held

Prev | Up | Next
struct ccw_driver | Home | ccw_device_set_online